Page MenuHomePhabricator

Remove at-ease dependancy from oojs/oojs-ui
Closed, ResolvedPublic

Description

As part of T182273 we're trying to upgrade at-ease (to 1.2.0), but composer says no...

  • oojs/oojs-ui v0.25.1 requires mediawiki/at-ease 1.1.0 -> satisfiable by mediawiki/at-ease[v1.1.0] but these conflict with your requirements or minimum-stability.

I cannot find any use of suppressWarning, restoreWarning or quietCall... Therefore, I'm declaring oojs-ui doesn't seem to need it....

Event Timeline

Reedy created this task.Jan 18 2018, 8:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2018, 8:50 PM

Change 405064 had a related patch set uploaded (by Reedy; owner: Reedy):
[oojs/ui@master] Remove mediawiki/at-ease dependancy

https://gerrit.wikimedia.org/r/405064

Reedy renamed this task from Make oojs/oojs-ui depend on newer at-ease to Remove at-ease dependancy from oojs/oojs-ui.Jan 18 2018, 8:59 PM
Reedy updated the task description. (Show Details)
Jdforrester-WMF closed this task as Resolved.Jan 18 2018, 9:02 PM
Jdforrester-WMF assigned this task to Reedy.
Jdforrester-WMF moved this task from Backlog to OOUI-0.25.2 on the OOUI board.
Jdforrester-WMF edited projects, added OOUI (OOUI-0.25.2); removed OOUI.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Will be in the next release of the library (v0.25.2), i.e. merged into MW master on 2018-02-06. Is that soon enough? If not we could monkey-patch /vendor, but I'd really rather not…

Reedy added a comment.Jan 18 2018, 9:05 PM

There's no real rush on my part, just doing some housekeeping updating our own libraries etc. Sooner would be nice, but that's not so much of an issue

Change 405064 merged by jenkins-bot:
[oojs/ui@master] Follow-up b28e99712: Remove mediawiki/at-ease dependancy

https://gerrit.wikimedia.org/r/405064

Volker_E triaged this task as Low priority.Feb 5 2018, 9:42 PM
Volker_E removed a project: Patch-For-Review.

Change 436052 had a related patch set uploaded (by Jforrester; owner: Reedy):
[oojs/ui@0.23.0-no-at-ease] Follow-up b28e99712: Remove mediawiki/at-ease dependancy

https://gerrit.wikimedia.org/r/436052

Change 436052 merged by jenkins-bot:
[oojs/ui@0.23.0-no-at-ease] Follow-up b28e99712: Remove mediawiki/at-ease dependancy

https://gerrit.wikimedia.org/r/436052